package com.tutego.insel.ui.table;

import javax.swing.table.*;

class QuadratTableModelSimple extends AbstractTableModel
{
  public int getRowCount()
  {
    return 100;
  }

  public int getColumnCount()
  {
    return 3;
  }

  public Object getValueAt( int row, int col )
  {
    if ( col == 0 )
      return "" + row;
    else if ( col == 1 )
      return "" + (row * row);
    else
      return "" + (row * row * row);
  }
}
